### Method

# ECal Component set_percent_complete

since: 3.34

#### Declaration [src]

    void
    e_cal_component_set_percent_complete (
      ECalComponent* comp,
      gint percent
    )

#### Description [src]

Sets percent complete. The `percent` can be between 0 and 100, inclusive. A special value -1 can be used to remove the percent complete property.

Available since: 3.34

#### Parameters

`percent`

  Type: `gint`

  A percent to set, or -1 to remove the property.